@import 'node_modules/normalize.css/normalize';

:root {
    --color-primary:        #65B0DC;
    --color-primary-hover:  #65B0DC;
    --color-base:           #495057;
    --color-white:          #ffffff;
    --color-black:          #000000;
    --color-gray-bg:        #F9F9F9;

    --font-primary:         'Inter', Arial, sans-serif;
    --font-secondary:       'Poppins', Arial, sans-serif;

    --btn-blue-shadow: 0px 27px 11px rgba(101, 176, 220, 0.03), 0px 15px 9px rgba(101, 176, 220, 0.1), 0px 7px 7px rgba(101, 176, 220, 0.17), 0px 2px 4px rgba(101, 176, 220, 0.2), 0px 0px 0px rgba(101, 176, 220, 0.2);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}

body {
    min-height: 100%;
    color: var(--color-base);
    background-color: var(--color-white);
    font-family: var(--font-primary);
    font-size: rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
    font-family: var(--font-secondary);
}

h1, .h1 {
    font-size: rem(36);
}

h2, .h2 {
    font-weight: 600;
    font-size: rem(25);
    line-height: rem(30);
}

h3, .h3 {
    font-size: rem(22);
}

h4, .h4 {
    font-size: rem(18);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


